Subject: Re: ICMPv6 echo reply to multicast packet thread

From: Jyrki Soini <[email-masked]>
Date: Fri, 12 Mar 2004 09:15:06 +0200

Jyrki Soini wrote:

 > An Echo Reply MUST be sent in response to an Echo Request message
 > sent to an IPv6 multicast address. By default hop-limit IPv6 header
 > field MUST be set to value 1 [on non-router hosts?]. The hop-limit
 > SHOULD be administratively configurable. Hop-limit limitation is used to
 > prevent Echo Reply message storms on large multicast groups.
...
 > If [on non-router hosts?] is added to the wording, routers would
 > send echo reply messages to multicast echo request packets.
 > Still the resulted echo reply storm will be decreased from the current
 > situation.

Clearly, I was not thinking far enough.  Of course usually routers won't
belong to the multicast group even though their forward traffic to it.
Thus [on non-router hosts?] will usually have no affect at all.
---
Jyrki Soini

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------